Book_1_Chapter_7_Horn_call_of_Buckland = class(Window);

function Book_1_Chapter_7_Horn_call_of_Buckland: GetName()
	return "Book 1, Chapter 7: Horn-call of Buckland";
end

function Book_1_Chapter_7_Horn_call_of_Buckland: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_7_Horn_call_of_Buckland: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Capítulo 7: O Chamado da Corneta de Buckland"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Lenglinn - 30.1S, 61.3W - Buckland - Bree-land");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVocê diz que Underhill está com Aragorn? Não conheço nenhum Underhill... Eu fui enviado para vigiar um hobbit chamado Bolseiro. Devo assumir que é de quem Aragorn falou. Que ele está seguro é uma notícia bem-vinda, pois assim meus temores diminuem. Era tarde da noite quando ouvi o chamado da corneta de Buckland. Correndo para a estrada, vi os Nazgûl deixando Buckland a galope. Tentei detê-los, mas eles me atropelaram. Temi que já tivessem encontrado o Bolseiro.\nOs quatro Cavaleiros passaram para o leste em direção a Bree, mas podemos descobrir o que eles descobriram, se é que descobriram alguma coisa, na casa de Bolseiro em Crickhollow. É uma casa cercada por uma sebe alta quase diretamente a sudeste do Portão de Buckland.\nSe você descobrir alguma coisa lá, volte para mim. Quaisquer notícias que você puder me trazer podem ajudar a determinar os movimentos dos Nazgûl.'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nO chamado da Corneta de Buckland havia alertado Lenglinn sobre a presença dos Nazgûl ali.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Investigue Crickhollow / Defenda Fredegar Bolger\nA casa de Bolseiro fica em Crickhollow, quase a sudeste do Portão de Buckland, ao sul do acampamento de Lenglinn.\nPara determinar os movimentos dos Nazgûl, Lenglinn pediu para você investigar a casa de um hobbit chamado Bolseiro.\n   Lenglinn: 'Aragorn estava preocupado que o Inimigo pudesse estar procurando por Bolseiro, então me enviou para vigiá-lo. Fiquei sabendo que ele veio morar aqui em Buckland, embora não soubesse que ele havia escapado pela Floresta Velha.\nPode ser que os Nazgûl estivessem procurando por ele lá. Você deveria investigar, mas pelo bem de Frodo, você não deveria mencionar que ele ainda vive para ninguém.\n   Fredegar Bolger: 'O quê? Quem? Eu... eu não tenho! Oh, espere, você não é um daqueles Cavaleiros Negros. Devo dizer-lhe que não tive tanto medo em minha vida. Eles aprenderam alguma coisa comigo? Bem, aqueles Cavaleiros invadiram a casa, mas eu já tinha escapado pelos fundos. Nada eles conseguiram de mim.\nQuando os Delegados chegaram, eles me fizeram contar sobre Frodo e os outros indo para a Floresta Velha, mas eu não disse nada sobre o Anel do Inimigo...\n'Oh céus! Quero dizer... eu... o que é isso? Pareceo som de corvos...'\n   Fredegar Bolger diz: 'Aqui!'\n   Fredegar Bolger diz: 'Eles com certeza estão chegando perto...'\n   Fredegar Bolger diz: 'Oh não! Mais estão vindo!'\n   Fredegar Bolger diz: 'Você conseguiu!'\n   Fredegar Bolger diz: 'Mas você não conseguiu todos eles!'\n   Fredegar Bolger diz: 'Alguns voaram para a Floresta Velha!'\n   Fredegar Bolger diz: 'Espero que eles não voltem mais!'\n\n2- Fale com a Lenglin\nO acampamento de Lenglinn fica ao norte do Portão de Buckland, a noroeste de Crickhollow.\nQuando você falou com Fredegar Bolger, ele lhe disse que os Cavaleiros Negros não o pegaram e, portanto, não aprenderam nada com ele, mas ele deixou escapar para você algo sobre um Anel que pertence ao Inimigo. Enquanto Fredegar falava, corvos voaram do céu e o atacaram, e embora você tenha os derrotado, dois recuaram para a Floresta Velha. Você deveria trazer esta notícia para Lenglinn.\n   Fredegar Bolger: 'Você viu aqueles pássaros horríveis? Eles vieram direto para cima de mim!'\nLenglinn: 'O Anel do Inimigo! Não é de se admirar que Aragorn fosse tão reservado quanto ao motivo pelo qual o Inimigo estava procurando Bolseiro!\nSe os corvos ouviram as palavras de Fredegar, o Inimigo saberá com certeza que o Anel não está mais no Condado, e tudo estará perdido!\nEncontrar esses pássaros na Floresta Velha não será uma tarefa fácil. Peço que retorne a Aragorn em Bree e peça seu conselho sobre como encontrar esses pássaros horríveis'.\n\n3- Fale com Strider\nStrider está em seu quarto no The Prancing Pony Inn em Bree, que é encontrado virando à esquerda no corredor para fora da sala comum até que você só consiga virar à direita. A sala fica no final do corredor à direita das escadas.\nLenglinn pediu que você procurasse o conselho de Strider sobre como encontrar os corvos que ouviram as palavras de Fredegar Bolger e escaparam para a Floresta Velha. Ele teme que se o Inimigo souber que este Anel que eles procuram não está mais no Condado, tudo estará perdido.\n   Lenglinn: 'Encontrar esses pássaros na Floresta Velha não será uma tarefa fácil. Procure Aragorn em Bree. Com o conselho dele, você poderá encontrar esses pássaros horríveis.\n   Strider: 'Esta é uma notícia terrível. Enquanto os quatro hobbits que eu estava esperando estão seguros no momento, a proteção que Bree oferece é passageira, na melhor das hipóteses. Devemos partir logo, e se as suspeitas do Inimigo forem confirmadas por esses corvos, de que o que procuram não está mais no Condado, nossa viagem pode ser ainda mais perigosa.\nAinda assim, a Floresta Velha é um labirinto tortuoso que pode confundir até o rastreador mais experiente. Encontrar estes corvos não será fácil...'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVá para Buckland e Crickhollow\nFale e defenda Fredegar Bolger das duas ondas de ataque de corvos\nVolte para Lenglinn\nVá para Strider no The Prancing Pony\nFredegar 'Fatty' Bolger é amigo de Frodo Bolseiro. Em setembro de TA(Terceira Era) 3018 , ele ajudou Frodo a partir de Bag End(Bolsão) e se mudar para Crickhollow em Buckland. Por um tempo ele permaneceu em Buckland para personificar Frodo que secretamente continuou em sua missão para o leste. Cerca de uma semana após a partida de Frodo de Bree, em 30 de setembro, a casa foi atacada por três Nazgûl. Fatty ficou apavorado, mas conseguiu escapar da casa pela porta dos fundos e seguir para a casa ao lado e o 'chamado a corneta de Buckland' foi soado por toda a área. Os Nazgûl fugiram de mãos vazias.\nMuito, muito mais tarde na história épica, Fatty Bolger liderou um bando de rebeldes das colinas de Scary contra os Homens do Chefe. Ele foi capturado e jogado nos Lockholes, depósitos de Michel Delving que foram convertidos em celas de prisão.\nNo dia seguinte à batalha, Frodo foi até Michel Delving e libertou os prisioneiros de Lockholes. Um dos primeiros que encontraram foi o pobre Fredegar Bolger, Fatty não mais - O retorno do Rei\nA irmã mais nova de Fredegar, Estella, casou-se com Meriadoc Brandybuck algum tempo depois que ele voltou da Guerra do Anel.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRedigido por Dastan e patrocinado por Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_7_Horn_call_of_Buckland:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_7_Horn_call_of_Buckland()); 