Instance_Blackwolds_Broken = class(Window);

function Instance_Blackwolds_Broken: GetName()
	return "Instance: Blackwolds Broken";
end

function Instance_Blackwolds_Broken: IsRunning()
	return (self.window ~= nil);
end

function Instance_Blackwolds_Broken: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Instância: Blackwolds Dispersos"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Condestável Underhill - 28.7S, 49.3W - The Comb and Wattle Inn - Bree-land");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'A derrota de Amdir quebrou a retaguarda dos Blackwolds, mas parte do mistério permanecem sem solução...'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVocê viajou com o Condestável Underhill de Combe para a caverna que os Blackwolds uma vez usavam como um esconderijo.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com o Condestável Underhill\nCondestável Underhill viajou com você para o esconderijo da caverna de William Skunkwood, o ex-líder dos Blackwolds na área de Combe. Skunkwood está morto, assim como muitos outros bandidos, mas você deve ter certeza de que eles não começaram a reunir suas forças novamente.\n   Condestável Underhill: 'Meu Deus, este lugar é silencioso como um túmulo! Eu gostaria que pudéssemos dizer que tudo estava em paz e ir embora, mas suponho que precisamos fazer um trabalho melhor do que isso.\nTudo bem, não adianta adiar o que deve ser feito. Venha comigo! E certifique-se de ter sua lâmina pronta, caso tenhamos algum problema.\n\n2- Defenda o Condestável Underhill\nCondestável Underhill viajou com você para o esconderijo da caverna de William Skunkwood, o ex-líder dos Blackwolds na área de Combe. Skunkwood está morto, assim como muitos outros bandidos, mas você deve ter certeza de que eles não começaram a reunir suas forças novamente.\n   Condestável Underhill diz: 'Cuidado agora amigo. Todos os tipos de coisas podem estar vivendo aqui agora!'\n   Condestável Underhill diz: 'Espere um momento, eu tenho a chave aqui.'\n   Condestável Underhill diz: 'Espero que tenha sido o último deles...'\n   Condestável Underhill diz: 'Vamos pressionar!'\n   Condestável Underhill diz: 'Esse parece ser o último deles!'\n   Condestável Underhill diz: 'Vamos pressionar!'\n   Condestável Underhill diz: 'Espero que tenha sido o último deles...'\n   Condestável Underhill diz: 'Vamos pressionar!'\n   Skorgrím diz: 'Tolo, você deveria escolher seus amigos com mais cuidado!'\n   Skorgrím diz: 'A Mão Branca não o terá, Blackwold!'\n   Skorgrím diz: 'Amdir foi apenas o começo.'\n   Skorgrím diz: 'Você tem uma chance de implorar meu perdão...'\n   Condestável Underhill diz: 'Silêncio... vejo algo à frente...'\n   Condestável Underhill diz: 'Vamos esperar aqui um momento e ver o que acontece...'\n   Skorgrím diz: 'Esta é sua última chance.'\n   Skorgrím diz: 'Jure fidelidade a Angmar mais uma vez!'\nLíder Blackwold diz: 'Nunca!'\n   Skorgrím diz: 'Então morra!'\nLíder Blackwold diz: 'Aaah!'\n   Dourhand Turncoat diz: 'Meu senhor! Intrusos!'\n   Skorgrím diz: 'O quê! Lide com eles!'\n   Condestável Underhill diz: 'Oh, querido...'\n   Condestável Underhill diz: 'Verifique aquele pobre homem!'\nVocê protegeu o Condestável Underhill\n\n3- Fale com o bandido\nEm uma das câmaras mais profundas do esconderijo de Blackwolds, você encontrou o anão misterioso ameaçando um bandido. O anão feriu gravemente o bandido, depois fugiu, ordenando que seus anões o atacassem.\nO Condestável Underhill pediu para você falar com o bandido ferido.\n   Condestável Underhill diz: 'Eu vou atrás daquele estranho anão!'\n   Condestável Underhill diz: 'Agora, vamos ver ...'\n   Líder Blackwold: 'Você não poderia ter vindo um momento antes, poderia? Antes que aquele anão me prendesse, talvez? Ah bem, suponho que as coisas são assim mesmo.\nPrimeiro foi aquele Éogan, dizendo que, se fizéssemos juramento a Angmar, ficaríamos ricos. Bem, quando tudo desmoronou, alguns de nós decidiram que não queríamos mais nada com Angmar. Começamos a conversar com alguns novos companheiros, homens que vieram do sul. Um bando feio, eles eram, mas pelo menos eles não pareciam estar levantando espíritos malignos ou algo assim sobre nós!\nParece que Angmar não gostou da perspectiva... de deixá-los. Aquele... aquele anão apareceu, e você viu como isso terminou. Agora, suponho que os Blackwolds estão... no fim...'\n  Líder Blackwold diz: 'Augh...'\n\n4- Fale com o Condestável Underhill\nO bandido moribundo revelou que os Blackwolds estavam sendo pagos tanto por alguém do sul quanto por agentes de Angmar. Quando ele tentou reunir seu bando sem lealdade a nenhum deles, o Anão Pálido partiu pra cima dele. Você deveria falar com o Condestável Underhill sobre isso.\n  Condestável Underhill diz: 'Bah!'\n   Condestável Underhill diz: 'Eu não tenho idéia de como ele escapou deste lugar! Nós nunca o seguiremos agora!'\n   Condestável Underhill: 'Bem, parece que aquele anão estranho escapou. Como ele saiu daqui é um mistério para mim! E pelo que você disse sobre a história do bandido, aquele anão era com quem deveríamos estar preocupados, não esses Blackwolds.\nBem, suponho que os Blackwolds estão realmente dispersos agora... mas por algum motivo eu ainda não me sinto seguro! Bem, não há muito mais que possamos fazer aqui. É melhor você levar a notícia de volta ao seu amigo Ranger em Bree.\n   Condestável Underhill: 'É melhor deixarmos este lugar.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nEsta instância ocorre na Caverna Brigand (Chetwood) Brigand Cave é uma masmorra instanciada dentro de Chetwood , em Bree-land - 30.0S, 47.3W\nFale e defenda o Condestável Underhill\nFale com o bandido\nFale com o Condestável Underhill para sair da instância");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Redigido por Dastan e patrocinado por Samir Alves");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Instance_Blackwolds_Broken:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Instance_Blackwolds_Broken()); 