Foreword_What_Road_for_the_Elves = class(Window);

function Foreword_What_Road_for_the_Elves: GetName()
	return "Foreword: What Road for the Elves?";
end

function Foreword_What_Road_for_the_Elves: IsRunning()
	return (self.window ~= nil);
end

function Foreword_What_Road_for_the_Elves: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Prefácio: Que Caminho para os Elfos?"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Legolas - 30.7S, 6.2W - The Guest Rooms - Rivendell");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'Você tem o ouvido de Elrond, < nome >, e sua confiança, e isso significa que você terá o meu também.\nApós o Conselho no qual a grande ameaça foi exposta, eu posso ter perturbado alguns de nossos companheiros Elfos: Galdor dos Portos e Erestor desta casa. Eu não gostaria que eles guardassem ressentimento de minhas palavras por muito tempo! Se você lhes disser meu arrependimento, talvez eles perdoem minha impetuosidade - a missão da comitiva é urgente, mas eu estava errado ao falar tão duramente de sua oposição.\nFale com Erestor no Porto de Orladion, a noroeste da Casa de Elrond. Pergunte a Erestor se ele sabe onde Galdor pode ser encontrado, pois ele também merece minhas desculpas.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nO príncipe-elfo Legolas está preocupado com as palavras duras que ele compartilhou com alguns dos Elfos de Valfenda após o Conselho de Elrond e espera que ele não tenha chateado nenhum de seus companheiros.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com a Erestor\nErestor está no Haven of Orladion, a noroeste da Casa de Elrond.\nLegolas está preocupado que palavras fortes após o Conselho de Elrond possam ter feito Erestor se ressentir dele, e ele quer que você peça desculpas em seu nome.\n   Legolas: 'Estou preocupado que Erestor possa ter levado a sério minhas palavras estridentes, e gostaria de me desculpar por elas. Procure-o no porto de Orladion, a noroeste da Casa de Elrond, e traga-lhe minhas palavras. Pergunte-lhe também onde pode encontrar Galdor dos Portos, pois também lhe devo desculpas.\n   Erestor: ' < nome >, Legolas não tem nada para se desculpar. Suas palavras não eram mais estridentes do que as minhas, ou as de Galdor. Estes são tempos difíceis, e os amigos não devem ter medo de expressar suas preocupações com os amigos.\nEu perguntei a ele: 'Se o instrumento de nossa dor for desfeito, como parece ser o curso que estamos tomando, o que será da majestade dos Elfos? Que vitória há nisso? Legolas não vacilou em sua resposta, e eu o perdôo pelo calor dela. Mesmo Elrond, o mais sábio dos mestres do conhecimento, não sabe o que vai acontecer caso a missão da Comitiva seja bem sucedida. Mas ela deve acontecer; isso está claro para mim agora, embora a visão tenha chegado mais cedo a Legolas.\nGaldor dos Portos? Ele está nos estábulos no canto noroeste do vale.'\n\n2- Fale com o Galdor\nGaldor of the Havens está nos estábulos no canto noroeste de Valfenda.\nVocê levou o pedido de desculpas de Legolas a Erestor e agora deve fazer o mesmo com Galdor.\n   Erestor: 'Você encontrará Galdor nos estábulos no canto noroeste do vale se Legolas o enviou para trazer-lhe palavras semelhantes às que ele me enviou.'\n   Galdor: ' < nome >, você veio para nada, pois eu já perdoei Legolas pelo fogo de seu argumento.\nEstá claro para mim, depois de alguma reflexão, que todos os outros cursos que poderíamos tomar não eram soluções reais, pois o instrumento do medo tem uma maneira de se revelar novamente, embora você o envie pelo mar ou para qualquer lugar considerado seguro.\nNão, eu já perdoei Legolas há muito tempo por sua frustração. Na verdade, eu lhe daria esta faca branca como sinal de meu perdão. Leve-a para ele com meus bons votos, < nome >, e que ela o acompanhe à vitória no final de sua jornada.'\nColetou a faca branca\n\n3- Traga a faca branca para Legolas em Valfenda\nLegolas está em um dos quartos ao longo da estrada que serpenteia a encosta sul do Vale de Imladris.\nGaldor deu a você uma faca branca para dar a Legolas como prova de seu perdão.\n   Galdor: 'Traga essa faca para Legolas com meus bons votos, < nome >. Ele está se preparando para partir com o resto da comitiva em um dos quartos de hóspedes ao longo da estrada que serpenteia pela encosta sul do Vale.'\n   Legolas: 'Obrigado, < nome >! Você me traz grande felicidade com a notícia de que Galdor e Erestor não guardaram nenhum ressentimento, e eu carregarei esta faca em homenagem à amizade deles.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nErestor está no Porto - 28.9S, 3.7W\nGaldor está nos Estábulos - 29.1S, 6.7W");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Brenommorpg");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Foreword_What_Road_for_the_Elves:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Foreword_What_Road_for_the_Elves()); 