Missing_the_Meeting = class(Window);

function Missing_the_Meeting:GetName()
	return "Missing the Meeting";
end

function Missing_the_Meeting:IsRunning()
	return (self.window ~= nil);
end

function Missing_the_Meeting:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Perdendo a Reunião");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n-Ronald Dwale - 21.2S, 64.5W - Evendim");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n'Bem, você foi útil, não foi? Se você puder, eu tenho uma última tarefa para você me ajudar. Entre os Hobbits do Condado, o amor por línguas e obras escritas é bastante incomum. Alguns de meus colegas e eu formamos uma espécie de pequena reunião informal para aqueles de nós que se deleitam em artes como escrever e ouvir histórias fictícias.\nCostumamos nos encontrar à noite, lá na pousada Bird, digo na The Bird and Baby Inn em Michel Delving. Com o retorno da minha folha perdida, eu realmente deveria começar meu novo livro, mas não tenho a menor idéia de como avisar aos meus amigos a tempo sobre minha ausência em nossa próxima reunião.\nSe puder, vá logo visitar Jack Lewisdown na The Bird and Baby antes da reunião começar e avise-o de que não vou comparecer esta noite.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nRonald Dwale está indisposto e não poderá comparecer à próxima reunião de sua sociedade de escritores.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Fale com os amigos de Ronald Dwale na The Bird and Baby Inn\nA Bird and Baby Inn fica em Michel Delving, a oeste, do outro lado da estrada de Town Hole.\nRonald Dwale pediu para você falar com seus amigos na The Bird and Baby Inn e avisá-los de que ele não poderá comparecer a próxima reunião.\n   Jack Lewisdown: 'Opa! Olá.'\n   Jack Lewisdown diz: ‘Você tem uma mensagem de Ronald?’\n   Carlo Williams diz: ‘Isso é uma pena, eu esperava que Ronald tivesse terminado sua resenha sobre meu livro, 'O Lugar do Javali'’.\n   Carlo Williams diz: ‘Você ouviu isso Owen, Ronald não virá na reunião hoje.’\n   Owen Farfield diz: ‘Hmmm? Oh, isso é muito ruim. Eu ia ler um trecho d'A Corneta Prateada' hoje à noite. Pena que ele não vai ouvir.’\n   Jack Lewisdown diz: ‘Bem, você tem nossos agradecimentos por ter vindo até aqui para nos contar sobre sua ausência.’\n   Jack Lewisdown diz: ‘Espero que este livro seja tão bom quanto ele diz.’\n   Jack Lewisdown diz: ‘Não é típico de Ronald perder nossas reuniões, eu confio que ele está trabalhando duro em sua história, e não distraído com jogos bobos.’\n\n2- Fale com Ronald Dwale\nRonald Dwale está na casa de Hob Hillbrow em Bullroarer's Sward em Dwaling.\nVocê deve retornar a Ronald Dwale e informá-lo de que completou sua tarefa.\n   Ronald Dwale: 'Você conseguiu chegar antes da reunião começar? Maravilhoso! Eu já tenho o primeiro capítulo iniciado.\n   O velho Lewisdown pensou que eu estaria jogando jogos em vez de trabalhar? Atrevo-me a dizer que ele sabe que eu nunca pensaria em me envolver em algo tão bobo.");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nPasso a passo:\nVá para The Bird and Baby Inn em Michel Delving e fale com Jack Lewisdown, que está nos fundos.\nInspiração da vida real:\nA reunião da sociedade de escritores na The Bird and Baby Inn é uma referência ao grupo de discussão literária do mundo real ‘The Inklings’, que incluiu, em vários momentos, o Prof. Tolkien, CS ‘Jack’ Lewis (Jack Lewisdown), Owen Barfield (Owen Farfield), e Charles Williams (Carlo Williams), que se reuniam regularmente no pub londrino Eagle and Child.\nCarlo refere-se a uma versão alterada do título de uma de suas obras mais conhecidas, ‘O Lugar do Leão’, que aqui é alterada para 'O Lugar do Javali'’.\nDa mesma forma, Owen refere-se a ‘O Trompete Prateado’, alterado para 'A Corneta Prateada'");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nRedigido por Dastan e patrocinado por Farannak");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function Missing_the_Meeting:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(Missing_the_Meeting());
