Book_1_Chapter_2_To_a_Constable_s_Aid = class(Window);

function Book_1_Chapter_2_To_a_Constable_s_Aid:GetName()
	return "Book 1, Chapter 2: To a Constable's Aid";
end

function Book_1_Chapter_2_To_a_Constable_s_Aid:IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_2_To_a_Constable_s_Aid:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 1, Capítulo 2: Auxiliando um Condestável");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n- Strider (Passolargo) - 29.6S, 51.2W - The Prancing Pony - Bree");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n'Estou curioso para saber quem era o anão que você encontrou no acampamento dos Blackwolds. Anões são honrados por natureza e não podem ser dominados pela vontade de ninguém. Por que este serviria ao Inimigo, não sei dizer. Pior ainda é a aparição dos Nazgûl. Devo ir vigiar a East Road, pois estou esperando alguns viajantes e agora temo que possam estar em perigo.\nVocê viajaria para Combe e falaria com um Condestável de lá chamado Underhill? Você já deve conhecê-lo... gordinho que vaga pelo centro da cidade. Você pode sugerir a Underhill que ele investigue o antigo esconderijo dos Blackwolds.\nQuando isso for feito, volte aqui com seu relatório. Se por acaso eu não estiver aqui, assuma o pior.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nEnquanto Strider cuida de alguns viajantes importantes que está esperando, ele pediu que você viaje para Combe e ajude o Condestável Underhill a garantir que a ameaça dos Blackwolds chegue ao fim.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Fale com o Condestável Underhill\nO Condestável Underhill costuma vagar pelo centro da cidade de Combe, a leste e ao norte de Bree.\nStrider informou que ele tem um assunto importante para resolver, mas pediu para você ir a Combe e encorajar o Condestável Underhill a investigar o antigo esconderijo dos bandidos.\n   Condestável Underhill: 'Ah, olá! Há algo em que eu possa ajudá-lo? Os Blackwolds foram atacados e dispersados, você diz? Esta é uma boa notícia para Combe.\n   Então este Ranger, Strider, acha que devemos investigar o antigo esconderijo de Skunkwood? Bem, agora, eu não tenho tanta certeza disso. Não é um lugar seguro, ouvi dizer.'");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nAceitar essa quest fará você ser teleportado para o centro de Combe.\nCombe fica a leste de Bree, abrindo o mapa fica a sua direita, e o Condestável fica próximo ao cavalo de Combe.");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("Redigido por Dastan e patrocinado por Samir Alves");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function Book_1_Chapter_2_To_a_Constable_s_Aid:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(Book_1_Chapter_2_To_a_Constable_s_Aid());
