Book_1_Chapter_6_In_the_Black_Riders_Wake = class(Window);

function Book_1_Chapter_6_In_the_Black_Riders_Wake: GetName()
	return "Book 1, Chapter 6: In the Black Riders' Wake";
end

function Book_1_Chapter_6_In_the_Black_Riders_Wake: IsRunning()
	return (self.window ~= nil);
end

function Book_1_Chapter_6_In_the_Black_Riders_Wake: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Livro 1, Capítulo 6: No rastro dos Cavaleiros Negros"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Lenglinn - 30.1S, 61.3W - Buckland - Bree-land");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nNo rastro dos Cavaleiros Negros, os crebain(corvos) nos invadiram. Eles não são a linhagem comum de Dunland, mas uma raça que eu nunca vi antes. Provavelmente essas criaturas imundas vigiam Buckland e Shire... ou pelo menos a mim, já que eles começaram a me encarar à noite.\nTalvez esses corvos não vejam nada de interessante, mas o fato de o Inimigo ter olhos aqui é perigoso. Se cegarmos esses olhos, o Inimigo não conseguirá direcionar seus esforços com tanta precisão. Se puder, elimine os corvos que nos invadiram a sudoeste, logo depois do meu acampamento.\n'Mesmo matar apenas um Corvo vai ajudar bastante a cegar o inimigo.'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nDesejando notícias sobre os outros Nazgûl, Strider enviou você para o oeste até as fronteiras do Condado e Buckland para falar com Lenglinn, a quem ele havia enviado para vigiar um hobbit.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Derrote (corvos) (0/4)\nOs corvos estão empoleirados a sudoeste, logo depois deste acampamento.\nLenglinn lhe disse que os corvos seguiram o rastro dos Nazgûl e se alojaram logo fora de seu acampamento. Ele tem certeza de que os pássaros são espiões do Inimigo e informarão sobre os movimentos no oeste. Ele pediu que você eliminasse eles para evitar que fizessem mal.\n   Lenglinn: 'O Inimigo não deve saber o que acontece no oeste. Caso contrário, eles estarão muito seguros em seus esforços no leste, o que poderia levar ao desastre.\nPor favor, cegue os olhos do Inimigo eliminando alguns dos corvos que se empoleiraram a sudoeste do meu acampamento.\n\n2- Fale com a Lenglin\nO acampamento de Lenglinn fica a nordeste dos corvos.\nCom os corvos mortos, o Inimigo tem menos olhos observando Buckland e o Condado. Fale novamente com Lenglinn e saiba o que mais ele quer que você faça.\n   Lenglinn: 'Bom, você matou aqueles pássaros horríveis! O Inimigo não terá tanta certeza em seus esforços agora!\nNo entanto, ainda preciso de sua ajuda. Devo pedir que você faça uma coisa em Buckland, pois foi o toque da trombeta deles que me alertou sobre a presença dos Nazgûl.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nDesça a colina de Lenglinn, há Crebain(corvos) lá. Derrote-os e volte para Lenglinn.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nRedigido por Dastan e patrocinado por Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Book_1_Chapter_6_In_the_Black_Riders_Wake:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Book_1_Chapter_6_In_the_Black_Riders_Wake()); 