Foreword_An_Unwanted_Guest = class(Window);

function Foreword_An_Unwanted_Guest: GetName()
	return "Foreword: An Unwanted Guest";
end

function Foreword_An_Unwanted_Guest: IsRunning()
	return (self.window ~= nil);
end

function Foreword_An_Unwanted_Guest: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Prefácio: Um Convidado Indesejado"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Barliman Butterbur (Cevado Carrapicho) - 29.6S, 51.2W - The Prancing Pony - Bree");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'Tanta gente indo e vindo hoje em dia... Há um convidado, porém, um que eu prefiro ficar sem, mas moedas mantém um quarto e ele vem com moeda suficiente para pagar a conta.\nTipo taciturno, gosta dos cantos mais escuros da pousada e não fala com ninguém. A maioria das pessoas tem um pouco de medo de sua laia.'\nBarliman abaixa a voz. 'Ele é um daqueles Rangers, é sim. Chama-se Strider. Da sala comum, vire à esquerda no corredor - não ligue para o hobbit na cozinha - e continue até que você só possa ir para a direita. Siga em frente por esse corredor até chegar ao pé das escadas. Strider está no quarto à direita da escada.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nBarliman confessou que preferia não receber um certo hóspede no Pônei Saltitante. Ele sugeriu que você falasse com ele, pois ele parece ser o tipo de pessoa que você está procurando.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Strider\nO quarto de Strider no The Prancing Pony Inn em Bree pode ser encontrado indo para a esquerda no corredor para fora da sala comum, até que você só possa ir para a direita. O quarto de Strider fica à direita das escadas no final do corredor.\nBarliman explicou que um Ranger, Strider, está em um quarto no Pônei Saltitante. Ele apontou do bar principal para seguir o corredor à esquerda até o topo da escada, procure um corredor curto e uma porta à direita e você deve encontrar Strider.\n   Barliman Butterbur: 'Homens sinistros, aqueles Rangers, não são confiáveis, se quer saber minha opinião. Você parece um tipo robusto, então não vou lhe dar mais conselhos. Contanto que você tenha moedas, eu cuidarei de suas necessidades. Só não comece nenhum problema.\nVersão Beorning:\nStrider: Embora ele atenda pelo nome de Strider, este é o homem que você foi direcionado para encontrar: Aragorn. Você se apresenta e entrega a mensagem de advertência de Radagast.\n'Você percorreu um longo caminho para me trazer esta mensagem, meu corajoso amigo! ele responde.\nVersão anão/elfo:\n   Strider: 'Suas notícias são sombrias. Se Skorgrím escapou, podemos presumir que ele vai querer vingança. Com o tempo, ele e os Dourhands vão se reagrupar. Você foi corajoso para enfrentá-lo, mas temo que vamos precisar usar sua coragem mais uma vez.\nVersão hobbit:\n   Strider: 'Suas notícias são sombrias. Goblins do Monte Gram no Condado? Tal não foi ouvido em muitas gerações. A influência de Angmar está ficando mais forte.'\nVersão para humanos:\n   Strider: 'Suas notícias são sombrias. Mesmo que os Blackwolds estejam dispersados, a fuga de Amdir é um mau presságio. Ele deve ser detido antes que seja tarde demais.\nVersão High Elf:\n   Strider: 'Espere... eu conheço você, embora nunca tenhamos nos conhecido! Você e eu dividimos o mesmo teto durante a minha infância, embora você tenha dormido um sono sem sonhos, se recuperando de uma ferida sofrida há muito tempo! É bom ver que as ministrações de Elrond finalmente salvaram sua vida!\nMas há dias sombrios pela frente. Os bandidos de Blackwold foram derrotados e Skorgrím Dourhand fugiu de Ered Luin, mas meu companheiro Amdir se tornou uma criatura do mal e nos faz mal. Há muitos fios emaranhados aqui, e precisarei de sua ajuda se quisermos desembaraçá-los.");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nVá para o quarto de Strider e fale com ele");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Brenommorpg");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Foreword_An_Unwanted_Guest:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Foreword_An_Unwanted_Guest()); 