Foreword_Bulwark_of_the_West = class(Window);

function Foreword_Bulwark_of_the_West: GetName()
	return "Foreword: Bulwark of the West";
end

function Foreword_Bulwark_of_the_West: IsRunning()
	return (self.window ~= nil);
end

function Foreword_Bulwark_of_the_West: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Prefácio: Baluárte do Oeste"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n- Barbethnir - 29.9S, 3.5W - The Last Homely House- Rivendell OU\n- Capitão-General Daerdan 19.1S, 71.0W - Echad Garthadir - Annúminas OU\n- Fimreg 10.9N, 23.9W - Gath Forthnír - Angmar OU \n- Nogmeldir 23.3S, 4.3E - Vindurhal - Misty Mountains");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nCapitão-General Daerdan: 'Uma convocação chegou aqui pelo corvo esta manhã, < nome >, chamando você para a Casa de Elrond, bem ao leste. Não sei por que Elrond Meio-Elfo solicita sua presença, mas deve ser para uma missão de alguma urgência se ele enviou corvos voando aqui para Echad Garthadir.\n'O Senhor dos Elfos precisa agora da força da Raça dos Homens? Essa amizade nunca foi rompida, embora testada pela passagem do tempo.\nVocê encontrará a Casa de Elrond bem a leste, no vale escondido de Valfenda, além de Trollshaws.\n   Barbethnir: 'Mestre Elrond deseja falar com você, < nome >. Ele diz que os Elfos precisam da força da Raça dos Homens e deseja que você fale com ele sobre algum assunto urgente.\nVá para dentro e fale com Mestre Elrond em sua biblioteca.'\n   Fimreg: ' < nome >, posso dar uma palavrinha com você? Mestre Elrond solicita sua presença em Valfenda com alguma urgência. Seu mensageiro não revelou o motivo dessa convocação, mas disse apenas que Elrond precisa agora da força da Raça dos Homens.\nViaje pela estrada oriental além de Trollshaws até o vale escondido de Valfenda e fale com Elrond em sua casa. Faremos o possível para enfrentar a Sombra em sua ausência e esperar ansiosamente pelo seu retorno.\n   Nogmeldir: '< nome >, eu tenho uma mensagem para você: Mestre Elrond solicita sua presença em Valfenda com alguma urgência. Seu mensageiro não revelou o motivo dessa convocação, mas disse apenas que Elrond precisa agora da força da Raça dos Homens.\nDesça das montanhas e volte para o vale de Valfenda para que você possa falar com Elrond em sua casa. Faremos o possível para enfrentar os perigos congelados aqui e esperar ansiosamente pelo seu retorno.");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nOs Homens do Oeste há muito lutam contra a Sombra, e sua coragem é necessária mais uma vez.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Fale com Elrond em Valfenda\nElrond está na biblioteca de sua casa em Valfenda.\nElrond Meio-Elfo convocou você para falar com ele sobre algum assunto urgente.\nElrond: 'Bem-vindo, < nome >. Tenho o prazer de vê-lo bem. Devemos ser gratos por cada jornada que termina em segurança, pois estes são tempos perigosos e as sombras crescem cada vez mais fora de Valfenda.\nUma pequena comitiva em breve iniciará uma missão de grande sigilo para combater essa escuridão crescente; Eu receio falar em detalhes de sua missão, mas saiba que isso causará grande dano aos Inimigos desta Era se eles tiverem sucesso.\nO destino da raça dos homens lhe afeta diretamente, < nome >, e eu sei que você é confiável. Dois homens corajosos se preparam para partir nesta perigosa jornada; empreste-lhes a sua ajuda enquanto se preparam para partir. Falo de Aragorn filho de Arathorn e Boromir de Gondor. Procure-os em um dos quartos de hóspedes ao longo da estrada que serpenteia pela encosta sul do Vale de Imladris.\n\n2- Ajude Boromir e Aragon com seus preparativos\nAragorn e Boromir podem ser encontrados em um dos quartos ao longo da estrada que serpenteia a encosta sul do Vale de Imladris.\nElrond pediu que você ajude seus companheiros, Aragorn, filho de Arathorn e Boromir de Gondor, a se prepararem para partir em sua perigosa - e secreta – missão.\n\n3- Fale com Elrond em Valfenda\nElrond está em sua biblioteca na Last Homely House, em Valfenda.\nVocê ajudou Aragorn e Boromir com seus preparativos e deve voltar agora para Elrond.\nElrond: 'Obrigado por ajudar Aragorn e Boromir com seus preparativos, < nome >. O destino de todo o seu povo está ligado ao sucesso da missão que eles devem empreender.'");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\\nEsta missão pode ser concedida por qualquer um dos 4 NPCs citados.\nBoromir e Aragorn estão nos quartos de hóspedes - 30.70S, 6.2W.\nComplete as duas quests que eles lhe darão.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("Brenommorpg");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Foreword_Bulwark_of_the_West:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Foreword_Bulwark_of_the_West()); 